@charset "utf-8";

body {
  overflow-x: clip;
  position: relative;
  background-color: #F0F0F0;
  background-image:
    linear-gradient(rgba(255, 255, 255, 1) 1px, transparent 1px),
    linear-gradient(90deg, rgba(255, 255, 255, 1) 1px, transparent 1px);
  background-size: 6.25vw 6.25vw;

  @media (max-width: 768px) {
    background-size: 80px 80px;
  }
}

/* ↓↓↓ fv ↓↓↓ */
.fv {
  margin-top: min(80px, 6.25vw);
  height: min(640px, 50vw);
  overflow-x: clip;

  @media (max-width: 768px) {
    margin-top: 64px;
    height: fit-content;
    padding-inline: 24px;
  }

  .inner {
    position: relative;
    max-width: 1280px;
    height: 100%;
    margin: 0 auto;
    container-type: inline-size;

    @media (max-width: 768px) {
      max-width: 100%;
    }

    .fv-ttl-group {
      position: relative;
      margin: 4.6875cqw 0 0 9.6875cqw;
      z-index: 1;

      @media (max-width: 768px) {
        margin: 56px 0 0;
      }
    }

    .text {
      width: 18.75cqw;
      font-size: 1.171875cqw;
      letter-spacing: 0.1em;
      line-height: 1.8666666;
      text-align: justify;
      word-break: break-all;
      margin: 3.125cqw 0 0 9.6875cqw;

      @media (max-width: 768px) {
        width: 100%;
        font-size: 1.5rem;
        margin: 32px 0 0;
      }
    }

    .image {
      position: absolute;
      bottom: 4.6875cqw;
      right: 6.640625cqw;
      width: 60cqw;
      display: block;

      @media (max-width: 768px) {
        position: relative;
        bottom: unset;
        right: unset;
        width: 327px;
        margin: 32px auto 0;
      }
    }

    div[class*="deco"] {
      position: absolute;
    }

    .deco01 {
      top: -6.25cqw;
      left: 25.234374999999996cqw;
      width: 10.9375cqw;

      @media (max-width: 768px) {
        top: -54px;
        left: 86px;
        width: 99px;
      }
    }

    .deco02 {
      top: 4.375cqw;
      right: 46.25cqw;
      width: 3.75cqw;

      @media (max-width: 768px) {
        top: 50px;
        right: 76px;
        width: 34px;
      }
    }

    .deco03 {
      top: 4.765625cqw;
      right: 27.5cqw;
      width: 7.8125cqw;

      @media (max-width: 768px) {
        top: unset;
        bottom: 142px;
        right: 3px;
        width: 56px;
      }
    }

    .deco04 {
      top: 11.328125cqw;
      right: 11.484375cqw;
      width: 2.5cqw;

      @media (max-width: 768px) {
        top: 50px;
        right: 23px;
        width: 16px;
      }
    }

    .deco05 {
      top: 18.28125cqw;
      left: 0;
      width: 7.8125cqw;

      @media (max-width: 768px) {
        top: unset;
        bottom: 98px;
        left: -31px;
        width: 57px;
        z-index: -1;
      }
    }

    .deco06 {
      bottom: 9.296875cqw;
      right: -4.53125cqw;
      width: 21.09375cqw;

      @media (max-width: 768px) {
        translate: 120px 0;
        bottom: 26px;
        left: 50%;
        width: 110px;
      }
    }

    .deco07 {
      bottom: -10.15625cqw;
      left: 4.453125cqw;
      width: 15.625cqw;

      @media (max-width: 768px) {
        bottom: -54px;
        left: -32px;
        width: 124px;
        z-index: -1;
      }
    }
  }
}

/* ↑↑↑ fv ↑↑↑ */
/* ↓↓↓ gallery_block ↓↓↓ */
.gallery_block {
  position: relative;
  max-width: 1280px;
  container-type: inline-size;
  margin: min(9.375vw, 120px) auto min(160px, 12.5vw);

  
  @media (max-width: 768px) {
    padding-inline: 26px;
    margin: 100px auto 56px;
  }
  
  .deco {
    position: absolute;
    width: 2.5cqw;
    top: 6.796874999999999cqw;
    right: 5.234375cqw;

    @media (max-width: 768px) {
      display: none;
    }
  }
}

.gallery_block .inner {
  width: 80.625cqw;
  margin: 0 auto;
  display: flex;
  flex-wrap: wrap;
  gap: 5.46875cqw 3.125cqw;

  @media (max-width: 768px) {
    width: 100%;
    max-width: 400px;
    gap: 40px;
  }

  .ttl-group {
    width: 100%;
  }

  .gallery_item {
    width: 38.75cqw;
    transition: opacity 300ms ease;

    @media (max-width: 768px) {
      width: 100%;
    }

    .movie {
      width: 100%;
      aspect-ratio: 496/280;
    }

    .caption {
      margin-top: 1.5625cqw;
      font-size: 1.171875cqw;
      letter-spacing: 0.04em;
      line-height: 1.866666666666667;
      text-align: justify;
      word-break: break-all;

      @media (max-width: 768px) {
        margin-top: 10px;
        font-size: 1.5rem;
      }
    }

    @media (min-width: 769px) {
      &[href]:hover {
        opacity: 0.5;
      }
    }
  }
}

.gallery_block .btn {
  position: relative;
  display: flex;
  justify-content: center;
  align-items: center;
  width: 20.625cqw;
  aspect-ratio: 264 / 64;
  font-size: 1.171875cqw;
  font-weight: 700;
  color: var(--color-navy);
  margin: 9.375cqw auto 0;
  border-radius: 9999px;
  border: 1px solid #fff;
  background-color: #fff;
  transition: background-color 300ms ease, color 300ms ease;

  @media (max-width: 768px) {
    width: 264px;
    font-size: 1.5rem;
    margin-top: 56px;
  }

  &::before,
  &::after {
    content: '';
    position: absolute;
    translate: 0 -50%;
    top: 50%;
    left: 1.25cqw;
    width: 0.9375cqw;
    height: 0.9375cqw;
    border-radius: 50%;

    @media (max-width: 768px) {
      width: 12px;
      height: 12px;
      left: 16px;
    }
  }

  &::before {
    background-color: #fff;
  }

  &::after {
    background-image: var(--grad02);
    transition: opacity 300ms ease;
  }

  @media (min-width: 769px) {
    &:hover {
      background-color: var(--color-navy);
      color: #fff;

      &::after {
        opacity: 0;
      }
    }
  }
}

/* ↑↑↑ gallery_block ↑↑↑ */